> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get EndUser Heron Score (beta)

> Get Heron Score for end user with a breakdown of the feature group contributions which resulted in the score. The score is calculated for the day of last transaction. This is a beta feature and is subject to change.



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_users/{end_user_id_or_heron_id}/heron_score
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_id_or_heron_id}/heron_score:
    get:
      tags:
        - EndUserCalculations
      summary: Get EndUser Heron Score (beta)
      description: >-
        Get Heron Score for end user with a breakdown of the feature group
        contributions which resulted in the score. The score is calculated for
        the day of last transaction. This is a beta feature and is subject to
        change.
      parameters:
        - in: path
          name: end_user_id_or_heron_id
          required: true
          schema:
            type: string
        - description: Minimum company categorisation confidence to calculate Heron Score
          in: query
          name: min_category_confidence
          required: false
          schema:
            default: null
            example: 0.8
            nullable: true
            type: number
        - description: >-
            Cut-off date to consider transactions to for calculating heron score
            (inclusive)
          in: query
          name: date
          required: false
          schema:
            default: null
            example: '2023-01-19'
            format: date
            nullable: true
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HeronScoreSchema'
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    HeronScoreSchema:
      properties:
        data_quality_issues:
          description: A list of data quality issues that may have impacted the score
          items:
            enum:
              - transactions_without_timestamps
              - date_range_too_low
              - confidence_too_low
              - ctg_coverage_too_low
              - data_volume_too_low
              - data_not_fresh
            type: string
          type: array
        feature_groups_contributions:
          additionalProperties:
            $ref: '#/components/schemas/HeronScoreFeatureGroupContribution'
          type: object
        predicted_at:
          description: When the Heron Score was predicted
          format: date-time
          type: string
        reference_timestamp:
          description: >-
            When the Heron Score was calculated for; by default the last
            transaction timestamp for the company
          format: date-time
          type: string
        status:
          enum:
            - not_available
            - partially_available
            - available
          type: string
        value:
          description: The Heron Score value
          type: integer
      type: object
    HeronScoreFeatureGroupContribution:
      properties:
        relative_contribution:
          type: number
        relative_population_avg:
          type: number
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````